<?php
/**
 * Quando a tabela de correçao não esta ativa para o cliente
 */
namespace Faturamento\Logic\ApuracaoFaturamento\Exception;

class TabelaCorrecaoInativa extends \Faturamento\Logic\Exception
{

    private $messageName;

    /**
     * Construtor.
     *
     * Recebe o nome da mensagem cadastrada no setforms.
     *
     * @param string $messageName
     * @param string $message
     * @param int $code
     * @param \Exception|null $previous
     */
    public function __construct($messageName, $code = 0, \Exception $previous = null)
    {
        parent::__construct($messageName, $code, $previous);
        $this->messageName = $messageName;
    }


    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName()
    {
        return $this->messageName;
    }


    /**
     * Confirma tabela de correção inativa para o cliente.
     * @static
     * @param integer $cliente  Nome do cliente
     * @throws TabelaCorrecaoInativa
     */
    public static function confirmaTabelaCorrecaoInativa($cliente)
    {
        throw new self (tk_get_message_by_name("fai00800_informa_data_inic_apur", $cliente));
    }


}