/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CUSTPADR                                                 */
/* Tabela : CUSTPADR                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CUSTPADR'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_CUSTPADR
GO

CREATE TRIGGER DTULTATU_CUSTPADR
ON CUSTPADR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CUSTPADR', CDFILIAL, 'CDFILIAL='  + CDFILIAL  + ';'+
                                             'CDSERVFILI='+ CDSERVFILI+ ';'+
                                             'DTREFCUSPADR='+ CONVERT(CHAR,DTREFCUSPADR,120)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CUSTPADR
      SET DTULTATUCUSP = GETDATE()
      FROM INSERTED;
   END;
END;
GO

